local msg2 = msg2
local parse = parse
local pairs = pairs

local awpCount = { 0, 0}
local awpLimit = 1
local amountCheck = (awpLimit == 1) and " AWP" or " AWPs"
local message = "Only " .. awpLimit .. amountCheck .. " can be bought per team."
local sound = "wpn_denyselect.wav"

function table_contains(tbl, x)
    found = false
    for _, v in pairs(tbl) do
        if v == x then 
            found = true 
        end
    end
    return found
end

addhook("endround","endroundSet")
function endroundSet()
	awpCount = { 0, 0}
end

addhook("spawn","spawnCheck")
function spawnCheck(id)
	local itemlist = playerweapons(id)
	local team = player(id,"team") 
	if table_contains(itemlist, 35) then
		awpCount[team] = awpCount[team] + 1
	end
end

--Be careful if you have multiple buy hooks! If you have more than one buy hook this won't work, keep that in mind!
--In that case you have to combine the hooks.
addhook("buy","buyCheck")
function buyCheck(id,item)
	local team = player(id,"team")
	if item == 35 and (awpCount[team] >= awpLimit) then
		msg2(id, message)
		parse("sv_sound2 " .. id .. " " .. sound)
		return 1	
	else
		awpCount[team] = awpCount[team] + 1
		return 0
	end
end